Summary:	Patchsets for CVS
Summary(pl.UTF-8):	Zestawy łatek dla CVS
Name:		cvsps
Version:	3.13
Release:	2
License:	GPL v2+
Group:		Development/Version Control
Source0:	http://www.catb.org/~esr/cvsps/%{name}-%{version}.tar.gz
# Source0-md5:	684c22c70b305030d50dc4ee050978df
URL:		http://www.catb.org/~esr/cvsps/
BuildRequires:	asciidoc
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CVSps is a program for collecting patchsets from a CVS repository. The
original use case was that its reports were useful for human
inspection by developers working on projects using CVS, but nowadays
the --fast-export option (which emits the history as a git-style
fast-import stream) is more interesting.

This tool was written and maintained until 2.2b1 by David Manfield,
who reported his "thanks to my employer Cobite and Robert Lippman,
who've given me time to develop this tool". The 3.x versions with
fast-export dumping are maintained by Eric S. Raymond.

%description -l pl.UTF-8
CVSps jest programem do generowania informacji o 'zestawie łatek'
(ang. patchset) z repozytorium CVS. Pierwotnym zastosowaniem było
śledzenie pracy nad projektami wykorzystującymi CVS przez ludzi, ale
obecnie bardziej interesująca jest opcja --fast-export (wypuszczająca
historię w postaci strumienia w stylu fast-import programu git).

To narzędzie zostało napisane i było rozwijane do wersji 2.2b1 przez
Davida Manfielda (przy wsparciu pracodawcy Cobite i Roberta Lippmana).
Wersje 3.x ze zrzutami fast-export są utrzymywane przez Erica S.
Raymonda.

%prep
%setup -q

%build
%{__make} cvsps cvsps.1 \
	CC="%{__cc} -Wall" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p cvsps $RPM_BUILD_ROOT%{_bindir}
cp -p cvsps.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/cvsps
%{_mandir}/man1/cvsps.1*
%changelog
* Mon Apr 10 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/cvsps.git;a=log;h=56af8ab7b7c11504416c2898cb6f9d2e6023d957

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 56af8ab
- x32 rebuild
- release 2 (by relup.sh)

* Thu Oct 09 2014 Jakub Bogusz <qboosh@pld-linux.org> e9659df
- updated pl desc, BR: asciidoc

* Tue Oct 07 2014 Elan Ruusamäe <glen@delfi.ee> 8f6d727
- up to 3.13, EOL'ed, recommended is use cvs-fast-export instead

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> d07806c
- cvsps 3.0, new maintainer esr

* Sat Feb 05 2011 Elan Ruusamäe <glen@pld-linux.org> 6a2bc39
- add commitid patch from opensuse; rel 2

* Sat Feb 05 2011 Elan Ruusamäe <glen@pld-linux.org> d022ca1
- extracted from opensuse src.rpm:
http://download.opensuse.org/factory/repo/src-oss/suse/src/cvsps-2.1-169.7.src.rpm

* Mon Jan 31 2011 Elan Ruusamäe <glen@pld-linux.org> 2f1053d
- up to 2.2b1:
  - add a new line item in the PatchSet output which indicates which
    branches fork off from after this PatchSet.  This is actually
    the only way to correctly indicate the branching.  The 'Ancestor
    Branch' thing is actually broken by design, and is now deprecated.
  - sometimes cvs log has a timezone in it (from Ludwig Nussel)
  - better buffer size handling

* Mon Jan 31 2011 Elan Ruusamäe <glen@pld-linux.org> b08e9b5
- release 5

* Mon Jan 31 2011 Elan Ruusamäe <glen@pld-linux.org> 36d7458
- up to 1a680d69dd39346bdf3674c6cb2460e11e15c7d2

* Tue Apr 28 2009 Elan Ruusamäe <glen@pld-linux.org> abaeea4
- release 4

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 744d4dd
- release 3

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> f4e4260
- needed CFLAGS apparently no more in CFLAGS

* Sat Nov 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a5d5d9
- rel 2; add some fixes made by git people

* Sat Nov 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e37b3f3
- git people fixes

* Wed Feb 14 2007 aredridel <aredridel@pld-linux.org> b42e0c8
- 2.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9f81954
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d06a37e
- converted to UTF-8

* Tue May 31 2005 zbyniu <zbyniu@pld-linux.org> 70fc64a
- BR: zlib-devel

* Wed Nov 17 2004 Jakub Bogusz <qboosh@pld-linux.org> f758107
- unification

* Wed Nov 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 34b1781
- proper version (we do not add rc1 in Version, but keep these in Release)
- pl summary/description
- pass CC and CFLAGS
- added %doc (CHANGELOG and README)

